
Infrastructure - Task #1678

Story # 1676 (Closed): Rules for restricting service methods

lookup restrictions from the CN nodeList when needed

2011-07-13 20:38 - Ben Leinfelder

Status: Closed Start date: 2011-07-13

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.49-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

In order to enforce the restrictions, implementations should look up themselves in the node registry to see whether or not they allow

the method to be called by the given subject. A NotAuthorized exception should be thrown if they are not allowed to call the method.

If a service lacks any restrictions, it is considered open to all users (subject, of course, to the permission rules that are in force for any

data or metadata that the method interacts with).

Related issues:

Blocked by Infrastructure - Story #1964: node registry needs to store Node.Se... Closed 2011-11-02

History

#1 - 2011-11-02 17:21 - Ben Leinfelder

example CN methods where this will be used:

CNIdentity.mapIdentity()

CNCore.addFormat() -- not yet defined in API

#2 - 2011-11-02 17:21 - Ben Leinfelder

- Category set to d1_cn_service

- Milestone changed from CCI-0.6.3 to CCI-1.0.0

#3 - 2011-12-14 20:58 - Ben Leinfelder

- % Done changed from 0 to 50

I've added this to the CNIdentity.mapIdentity method

#4 - 2011-12-14 20:59 - Ben Leinfelder

- Status changed from New to Closed

since we don't have addFormat() for initial release, I'm going to close this now.

Powered by TCPDF (www.tcpdf.org)

2024-04-25 1/1

http://www.tcpdf.org

